Hooks:PostHook(WeaponTweakData, "init", "PostHook_WeaponTweakData_SS", function(self)
	-- Brenner --
	self.hk21.CAN_TOGGLE_FIREMODE = true
	-- KSP -- 
	self.m249.CAN_TOGGLE_FIREMODE = true
	-- RPK -- 
	self.rpk.CAN_TOGGLE_FIREMODE = true
	-- Buzzsaw --
	self.mg42.CAN_TOGGLE_FIREMODE = true
	self.mg42.sounds.fire_single = "mg42_fire"
	self.mg42.sounds.fire_auto = "mg42_fire"
	-- KSP58 -- 
	self.par.CAN_TOGGLE_FIREMODE = true
	self.par.sounds.fire_single = "svinet_fire"
	self.par.sounds.fire_auto = "svinet_fire"
	
	if self.SetupAttachmentPoint then	
		self:SetupAttachmentPoint( "par", {
			name = "a_o",
			base_a_obj = "a_o",
			part_attach_data = {
				{"wpn_fps_lmg_par_upper_reciever"}, 
				"g_cover"
			},
			position = Vector3( 0, 2, 0 )
		})	 
		 self:SetupAttachmentPoint( "rpk", {
			name = "a_o_sm",
			base_a_obj = "a_o",
			position = Vector3(0, -27, 1.6),
			rotation = RotationCAP(0, 0, 0)
		})
		 self:SetupAttachmentPoint( "rpk", {
			name = "a_o_krebs",
			base_a_obj = "a_o",
			position = Vector3(0, -0, 0.7),
			rotation = RotationCAP(0, 0, 0)
		})
		self:SetupAttachmentPoint( "m249", {
			name = "a_o",
			base_a_obj = "a_o",
			part_attach_data = {
				{"wpn_fps_lmg_m249_upper_reciever"}, 
				"g_dustcover"
			},
			position = Vector3( 0, 7.4, 0 ), 
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "mg42", {
			name = "a_o",
			base_a_obj = "a_o",
			part_attach_data = {
				{"wpn_fps_lmg_mg42_reciever"}, 
				"g_lid"
			},
			position = Vector3( 0, 0, -0.45 ), 
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "m60", {
			name = "a_o",
			base_a_obj = "a_o",
			part_attach_data = {
				{"wpn_fps_lmg_m60_upper_reciever"}, 
				"g_dustcover"
			},
			position = Vector3( 0, -10, -12 ), 
			rotation = RotationCAP( 0, 0, 0 )
		})
	end
end)

